Bug 368201 - anaconda: unhandled exception when selecting packages
anaconda: unhandled exception when selecting packages
Status: CLOSED DUPLICATE of bug 336791
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 08:15 EST by David Wolski Levi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 13:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Wolski Levi 2007-11-06 08:15:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
During installation of Fedora 8 RC1 anaconda threw an Unhandled Exception when selecting individual packages and quit.
The install media passed the integrity test.


Version-Release number of selected component (if applicable):
anaconda 11.3.0.50

How reproducible:
Sometimes


Steps to Reproduce:
1. Start graphical installation of Fedora 8-RC1
2. In the screen for selecting packages, click on 'customize now'
3. Select/de-select some individual packages

Actual Results:
Installer quit

Expected Results:


Additional info:
anaconda 11.3.0.50 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 211, in _pkgToggled
    i = self.pkgstore.get_iter_from_string(path)
  File "/usr/lib/python2.5/site-packages/pirut/GroupSelector.py", line 208, in _rowToggle
    self._pkgToggled(None, path)
TypeError: GtkTreeModel.get_iter_from_string() argument 1 must be string, not tuple

Local variables in innermost frame:
path: (5,)
widget: None
self: <pirut.GroupSelector.OptionalPackageSelector instance at 0xba8534c>


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 3654
    intf.icw.mainxml: <glade.XML object at 0xa6b466c (PyGladeXML at 0xa9d6330)>
    intf.icw.reloadRcQueued: 0
    intf.icw.currentWindow: GroupSelectionWindow instance, containing members:
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Install Window
      intf.icw.currentWindow.grpsel: GroupSelector instance, containing members:
        intf.icw.currentWindow.grpsel.xml: <glade.XML object at 0xb0e84b4 (PyGladeXML at 0xb19d850)>
        intf.icw.currentWindow.grpsel.vbox: <gtk.VBox object at 0xb8fdb44 (GtkVBox at 0xaacca98)>
        intf.icw.currentWindow.grpsel.getgladefunc: <function findGladeFile at 0xa6984c4>
        intf.icw.currentWindow.grpsel.groupMenu: <gtk.Menu object at 0xb8fda7c (GtkMenu at 0xb1b6b28)>
        intf.icw.currentWindow.grpsel.menuxml: <glade.XML object at 0xb8fdb1c (PyGladeXML at 0xb1c5a78)>
        intf.icw.currentWindow.grpsel.framefunc: <function addFrame at 0xa698534>
        intf.icw.currentWindow.grpsel.groupstore: <gtk.TreeStore object at 0xba7711c (GtkTreeStore at 0xb169e60)>
        intf.icw.currentWindow.grpsel.catstore: <gtk.TreeStore object at 0xba770f4 (GtkTreeStore at 0xb169da0)>
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.backend: YumBackend instance, containing members:
        intf.icw.currentWindow.backend.modeText: 
        intf.icw.currentWindow.backend.instPath: /mnt/sysimage
        intf.icw.currentWindow.backend.supportsPackageSelection: True
        intf.icw.currentWindow.backend.skipFormatRoot: False
        intf.icw.currentWindow.backend.instLog: None
        intf.icw.currentWindow.backend.supportsUpgrades: True
        intf.icw.currentWindow.backend.method: CdromInstallMethod instance, containing members:
          intf.icw.currentWindow.backend.method.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0xa6a04ac>>
          intf.icw.currentWindow.backend.method.intf: Already dumped
          intf.icw.currentWindow.backend.method.isoPath: /mnt/source
          intf.icw.currentWindow.backend.method.timestamp: 1193867005.357301
          intf.icw.currentWindow.backend.method.tree: /mnt/source
          intf.icw.currentWindow.backend.method.rootPath: /mnt/sysimage
          intf.icw.currentWindow.backend.method.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0xa6a04ac>>
          intf.icw.currentWindow.backend.method.loopbackFile: None
          intf.icw.currentWindow.backend.method.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0xa6a04ac>>
          intf.icw.currentWindow.backend.method.device: scd0
          intf.icw.currentWindow.backend.method.currentMedia: [1]
    intf.icw.window: <gtk.Window object at 0xa6bb61c (GtkWindow at 0xaabe198)>
    intf.icw.installFrame: <gtk.Frame object at 0xa6bb694 (GtkFrame at 0xaa69228)>
    intf.icw.anaconda: Already dumped
    intf.icw.rnv: ReleaseNotesViewer instance, containing members:
      intf.icw.rnv.textWin: <gtk.Window object at 0xa6b4c0c (GtkWindow at 0xaabe038)>
      intf.icw.rnv.vue: <gtkhtml2.View object at 0xa6b4734 (HtmlView at 0xa736810)>
      intf.icw.rnv.currentURI: /mnt/source/RELEASE-NOTES-en_US.html
      intf.icw.rnv.topDir: /mnt/source
      intf.icw.rnv.doc: <gtkhtml2.Document object at 0xa6b4234 (HtmlDocument at 0xa6fc830)>
      intf.icw.rnv.height: 600
      intf.icw.rnv.width: 800
      intf.icw.rnv.opener: FancyURLopener instance, containing members:
        intf.icw.rnv.opener._URLopener__unlink: <built-in function unlink>
        intf.icw.rnv.opener._URLopener__tempfiles: []
        intf.icw.rnv.opener.cert_file: None
        intf.icw.rnv.opener.addheaders: [('User-Agent', 'Python-urllib/1.17')]
        intf.icw.rnv.opener.tries: 0
        intf.icw.rnv.opener.ftpcache: {}
        intf.icw.rnv.opener.tempcache: None
        intf.icw.rnv.opener.auth_cache: {}
        intf.icw.rnv.opener.key_file: None
        intf.icw.rnv.opener.proxies: {}
        intf.icw.rnv.opener.type: file
        intf.icw.rnv.opener.maxtries: 10
      intf.icw.rnv.anaconda: Already dumped
      intf.icw.rnv.htmlheader: <html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body bgcolor="white"><pre>
      intf.icw.rnv.htmlfooter: </pre></body></html>
      intf.icw.rnv.is_showing: False
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: cdrom://scd0:/mnt/source
dispatch: <dispatch.Dispatcher object at 0xa6b2f6c>
method: Already dumped
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: []
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0xa4eebec>]
Primary Video Card Info:
device: None
driver : vmware
descr : VMware Inc [VMware SVGA II] PCI Display Adapter
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test, -extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp, -screen, Anaconda, -dpi, 96, -br]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: VMware Inc [VMware SVGA II] PCI Display Adapter
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: vmware
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512, 800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900, 1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900, 1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us-acentos}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing members:
      id.xsetup.xserver.mousehw: FULLNAME="VMWare - VMWare Mouse"
MOUSETYPE="vmmouse"
XEMU3="yes"
XMOUSETYPE="vmmouse"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /tmp/ramfs/X.log
      id.xsetup.xserver.config: <XF86Config object at 0xb7f1e340>
      id.xsetup.xserver.display: :1
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: Asia/Jerusalem
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0xa6b2c8c>
  id.methodstr: cdrom://scd0:/mnt/source
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0xa6a04ac>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0xa6a04ac>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0xa6a04ac>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: []
  id.x_already_set: 0
  id.backend: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x9974c20>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: vga=791
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol00
      id.bootloader.images.images: {'VolGroup00/LogVol00': ('linux', 'Fedora', 'ext3')}
    id.bootloader.drivelist: [sda]
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: False
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0C:29:70:A0:6C
IPADDR=dhcp
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0xa2abfac>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 9
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 5
  type: ext3  format: True 
  device: sda1 drive: []  primary: None
  size: 70  grow: None  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 1
      mountpoint: None
      requestSize: 6144.0
      size: 6144.0
      end: 12582911
      grow: 0
      start: 0
      ignoreBootConstraints: 0
      type: 1
      format: None
      fsopts: None
      fstype: None
      preexist: 1
      device: sda-1
      maxSizeMB: None
      bytesPerInode: 4096
      drive: sda
      fslabel: None
      protected: 0
      multidrive: None
, VG Request -- name: VolGroup00  uniqueID: 8
  format: 1 pesize: 32768  
  physvols: [2]
, LV Request -- mountpoint: /  uniqueID: 4
  type: ext3  format: 1
  size: 5824  lvname: LogVol00  volgroup: 8
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 6
  type: swap  format: 1
  size: 192  lvname: LogVol01  volgroup: 8
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: None uniqueID: 2
  type: physical volume (LVM)  format: 1 
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 656  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/syslog:
<5>Linux version 2.6.23.1-42.fc8 (kojibuilder@xenbuilder1.fedora.redhat.com) (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Tue Oct 30 13:05:10 EDT 2007
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
<4> BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000ca000 - 00000000000cc000 (reserved)
<4> BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 00000000292f0000 (usable)
<4> BIOS-e820: 00000000292f0000 - 00000000292ff000 (ACPI data)
<4> BIOS-e820: 00000000292ff000 - 0000000029300000 (ACPI NVS)
<4> BIOS-e820: 0000000029300000 - 0000000029400000 (usable)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fffe0000 - 0000000100000000 (reserved)
<5>0MB HIGHMEM available.
<5>660MB LOWMEM available.
<6>found SMP MP-table at 000f6c90
<6>Using x86 segment limits to approximate NX protection
<7>Entering add_active_range(0, 0, 168960) 0 entries of 256 used
<4>Zone PFN ranges:
<4>  DMA             0 ->     4096
<4>  Normal       4096 ->   168960
<4>  HighMem    168960 ->   168960
<4>Movable zone start PFN for each node
<4>early_node_map[1] active PFN ranges
<4>    0:        0 ->   168960
<7>On node 0 totalpages: 168960
<7>  DMA zone: 32 pages used for memmap
<7>  DMA zone: 0 pages reserved
<7>  DMA zone: 4064 pages, LIFO batch:0
<7>  Normal zone: 1288 pages used for memmap
<7>  Normal zone: 163576 pages, LIFO batch:31
<7>  HighMem zone: 0 pages used for memmap
<7>  Movable zone: 0 pages used for memmap
<6>DMI present.
<6>Using APIC driver default
<4>ACPI: RSDP 000F6C20, 0014 (r0 PTLTD )
<4>ACPI: RSDT 292FAB68, 0030 (r1 PTLTD    RSDT    6040000  LTP        0)
<4>ACPI: FACP 292FEF14, 0074 (r1 INTEL  440BX     6040000 PTL     F4240)
<4>ACPI: DSDT 292FAB98, 437C (r1 PTLTD  Custom    6040000 MSFT  100000D)
<4>ACPI: FACS 292FFFC0, 0040
<4>ACPI: APIC 292FEF88, 0050 (r1 PTLTD  	 APIC    6040000  LTP        0)
<4>ACPI: BOOT 292FEFD8, 0028 (r1 PTLTD  $SBFTBL$  6040000  LTP        1)
<6>ACPI: PM-Timer IO Port: 0x1008
<7>ACPI: Local APIC address 0xfee00000
<6>ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
<4>Processor #0 15:3 APIC version 17
<6>ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
<6>ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
<4>IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
<6>ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
<7>ACPI: IRQ0 used by override.
<7>ACPI: IRQ2 used by override.
<7>ACPI: IRQ9 used by override.
<4>Enabling APIC mode:  Flat.  Using 1 I/O APICs
<6>Using ACPI (MADT) for SMP configuration information
<4>Allocating PCI resources starting at 30000000 (gap: 29400000:d5800000)
<4>swsusp: Registered nosave memory region: 000000000009f000 - 00000000000a0000
<4>swsusp: Registered nosave memory region: 00000000000a0000 - 00000000000ca000
<4>swsusp: Registered nosave memory region: 00000000000ca000 - 00000000000cc000
<4>swsusp: Registered nosave memory region: 00000000000cc000 - 00000000000dc000
<4>swsusp: Registered nosave memory region: 00000000000dc000 - 0000000000100000
<4>swsusp: Registered nosave memory region: 00000000292f0000 - 00000000292ff000
<4>swsusp: Registered nosave memory region: 00000000292ff000 - 0000000029300000
<4>Built 1 zonelists in Zone order.  Total pages: 167640
<5>Kernel command line: initrd=initrd.img BOOT_IMAGE=vmlinuz 
<7>mapped APIC to ffffb000 (fee00000)
<7>mapped IOAPIC to ffffa000 (fec00000)
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Initializing CPU#0
<4>CPU 0 irqstacks, hard=c07a8000 soft=c0788000
<4>PID hash table entries: 4096 (order: 12, 16384 bytes)
<4>Detected 1005.016 MHz processor.
<4>Console: colour VGA+ 80x25
<6>console [tty0] enabled
<6>Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
<6>Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
<6>Memory: 658160k/675840k available (2184k kernel code, 16992k reserved, 1117k data, 280k init, 0k highmem)
<4>virtual kernel memory layout:
<4>    fixmap  : 0xffc52000 - 0xfffff000   (3764 kB)
<4>    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
<4>    vmalloc : 0xea000000 - 0xff7fe000   ( 343 MB)
<4>    lowmem  : 0xc0000000 - 0xe9400000   ( 660 MB)
<4>      .init : 0xc073f000 - 0xc0785000   ( 280 kB)
<4>      .data : 0xc0622025 - 0xc0739544   (1117 kB)
<4>      .text : 0xc0400000 - 0xc0622025   (2184 kB)
<4>Checking if this processor honours the WP bit even in supervisor mode... Ok.
<6>SLUB: Genslabs=22, HWalign=64, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
<4>Calibrating delay using timer specific routine.. 2012.52 BogoMIPS (lpj=1006261)
<6>Security Framework v1.0.0 initialized
<6>SELinux:  Initializing.
<7>SELinux:  Starting in permissive mode
<6>selinux_register_security:  Registering secondary module capability
<6>Capability LSM initialized as secondary
<4>Mount-cache hash table entries: 512
<7>CPU: After generic identify, caps: 078bfbff e3d3fbff 00000000 00000000 00000001 00000000 00000001 00000000
<6>CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
<6>CPU: L2 Cache: 1024K (64 bytes/line)
<7>CPU: After all inits, caps: 078bf3ff e3d3fbff 00000000 00000410 00000001 00000000 00000001 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<4>Compat vDSO mapped to ffffe000.
<6>Checking 'hlt' instruction... OK.
<6>SMP alternatives: switching to UP code
<6>Freeing SMP alternatives: 14k freed
<6>ACPI: Core revision 20070126
<4>CPU0: AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ stepping 02
<6>Total of 1 processors activated (2012.52 BogoMIPS).
<4>ENABLING IO-APIC IRQs
<6>..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
<6>Brought up 1 CPUs
<7>sizeof(vma)=84 bytes
<7>sizeof(page)=32 bytes
<7>sizeof(inode)=336 bytes
<7>sizeof(dentry)=132 bytes
<7>sizeof(ext3inode)=488 bytes
<7>sizeof(buffer_head)=56 bytes
<7>sizeof(skbuff)=180 bytes
<7>sizeof(task_struct)=1552 bytes
<6>Booting paravirtualized kernel on bare hardware
<4>Time: 14:21:43  Date: 11/06/07
<6>NET: Registered protocol family 16
<6>No dock devices found.
<6>ACPI: bus type pci registered
<6>PCI: PCI BIOS revision 2.10 entry at 0xfd9a0, last bus=2
<6>PCI: Using configuration type 1
<4>Setting up standard PCI resources
<7>ACPI: EC: Look up EC in DSDT
<6>ACPI: Interpreter enabled
<6>ACPI: (supports S0 S1 S4 S5)
<6>ACPI: Using IOAPIC for interrupt routing
<6>ACPI: PCI Root Bridge [PCI0] (0000:00)
<4>PCI quirk: region 1000-103f claimed by PIIX4 ACPI
<4>PCI quirk: region 1040-104f claimed by PIIX4 SMB
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
<6>ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 9 10 11 14 15)
<6>ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11 14 15)
<6>ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 *10 11 14 15)
<6>ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *9 10 11 14 15)
<6>Linux Plug and Play Support v0.97 (c) Adam Belay
<6>pnp: PnP ACPI init
<6>ACPI: bus type pnp registered
<6>pnp: PnP ACPI: found 12 devices
<6>ACPI: ACPI bus type pnp unregistered
<6>usbcore: registered new interface driver usbfs
<6>usbcore: registered new interface driver hub
<6>usbcore: registered new device driver usb
<6>PCI: Using ACPI for IRQ routing
<6>PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
<6>NetLabel: Initializing
<6>NetLabel:  domain hash size = 128
<6>NetLabel:  protocols = UNLABELED CIPSOv4
<6>NetLabel:  unlabeled traffic allowed by default
<6>Time: tsc clocksource has been installed.
<6>PCI: Bridge: 0000:00:01.0
<6>  IO window: disabled.
<6>  MEM window: disabled.
<6>  PREFETCH window: disabled.
<6>PCI: Bridge: 0000:00:11.0
<6>  IO window: 2000-2fff
<6>  MEM window: e8900000-e89fffff
<6>  PREFETCH window: 30000000-300fffff
<7>PCI: Setting latency timer of device 0000:00:01.0 to 64
<6>ACPI: PCI Interrupt 0000:00:11.0[A] -> GSI 18 (level, low) -> IRQ 16
<6>NET: Registered protocol family 2
<6>IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
<6>TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
<6>TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
<6>TCP: Hash tables configured (established 131072 bind 65536)
<6>TCP reno registered
<6>checking if image is initramfs... it is
<6>Freeing initrd memory: 6433k freed
<6>Simple Boot Flag at 0x36 set to 0x1
<6>apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
<5>apm: overridden by ACPI.
<6>audit: initializing netlink socket (disabled)
<5>audit(1194358902.563:1): initialized
<4>Total HugeTLB memory allocated, 0
<5>VFS: Disk quotas dquot_6.5.1
<4>Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
<7>SELinux:  Registering netfilter hooks
<4>ksign: Installing public key data
<4>Loading keyring
<4>- Added public key A8A39A47F4B4A1C
<4>- User ID: Red Hat, Inc. (Kernel Module GPG key)
<6>Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
<6>io scheduler noop registered
<6>io scheduler anticipatory registered
<6>io scheduler deadline registered
<6>io scheduler cfq registered (default)
<6>Limiting direct PCI/PCI transfers.
<7>Boot video device is 0000:00:0f.0
<6>pci_hotplug: PCI Hot Plug PCI Core version: 0.5
<6>ACPI: Processor [CPU0] (supports 8 throttling states)
<4>ACPI Exception (processor_core-0819): AE_NOT_FOUND, Processor Device is not present [20070126]
<4>ACPI Exception (processor_core-0819): AE_NOT_FOUND, Processor Device is not present [20070126]
<4>ACPI Exception (processor_core-0819): AE_NOT_FOUND, Processor Device is not present [20070126]
<6>isapnp: Scanning for PnP cards...
<6>Switched to high resolution mode on CPU 0
<6>isapnp: No Plug & Play device found
<6>Real Time Clock Driver v1.12ac
<6>Non-volatile memory driver v1.2
<6>Linux agpgart interface v0.102
<6>agpgart: Detected an Intel 440BX Chipset.
<6>agpgart: AGP aperture is 256M @ 0x0
<6>Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
<6>serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<6>serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
<6>00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<6>00:0a: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
<4>RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
<6>input: Macintosh mouse button emulation as /class/input/input0
<6>PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:MOUS] at 0x60,0x64 irq 1,12
<6>serio: i8042 KBD port at 0x60,0x64 irq 1
<6>serio: i8042 AUX port at 0x60,0x64 irq 12
<6>mice: PS/2 mouse device common for all mice
<6>input: AT Translated Set 2 keyboard as /class/input/input1
<6>cpuidle: using governor menu
<6>usbcore: registered new interface driver hiddev
<6>usbcore: registered new interface driver usbhid
<6>drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
<6>TCP cubic registered
<6>Initializing XFRM netlink socket
<6>NET: Registered protocol family 1
<6>NET: Registered protocol family 17
<6>powernow-k8: Found 1 AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ processors (1 cpu cores) (version 2.00.00)
<3>powernow-k8: BIOS error - no PSB or ACPI _PSS objects
<4>Using IPI No-Shortcut mode
<4>  Magic number: 15:786:383
<6>Freeing unused kernel memory: 280k freed
<4>Write protecting the kernel read-only data: 844k
<6>input: ImPS/2 Generic Wheel Mouse as /class/input/input2
<6>loop: module loaded
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>BIOS EDD facility v0.16 2004-Jun-25, 6 devices found
<6>input: PC Speaker as /class/input/input3
<6>squashfs: version 3.2-r2 (2007/01/15) Phillip Lougher
<6>NET: Registered protocol family 10
<6>lo: Disabled Privacy Extensions
<5>SCSI subsystem initialized
<6>Loading iSCSI transport class v2.0-724.
<5>iscsi: registered transport (tcp)
<6>ACPI: PCI Interrupt 0000:02:02.0[A] -> GSI 16 (level, low) -> IRQ 17
<6>ehci_hcd 0000:02:02.0: EHCI Host Controller
<6>ehci_hcd 0000:02:02.0: new USB bus registered, assigned bus number 1
<7>PCI: cache line size of 64 is not supported by device 0000:02:02.0
<6>ehci_hcd 0000:02:02.0: irq 17, io mem 0xe8900000
<6>ehci_hcd 0000:02:02.0: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
<6>usb usb1: configuration #1 chosen from 1 choice
<6>hub 1-0:1.0: USB hub found
<6>hub 1-0:1.0: 6 ports detected
<6>USB Universal Host Controller Interface driver v3.0
<6>ACPI: PCI Interrupt 0000:00:07.2[D] -> GSI 19 (level, low) -> IRQ 18
<6>uhci_hcd 0000:00:07.2: UHCI Host Controller
<6>uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 2
<6>uhci_hcd 0000:00:07.2: irq 18, io base 0x00001060
<6>usb usb2: configuration #1 chosen from 1 choice
<6>hub 2-0:1.0: USB hub found
<6>hub 2-0:1.0: 2 ports detected
<6>pcnet32.c:v1.33-NAPI 27.Jun.2006 tsbogend@alpha.franken.de
<6>ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 18 (level, low) -> IRQ 16
<6>pcnet32: PCnet/PCI II 79C970A at 0x2000, 00 0c 29 70 a0 6c assigned IRQ 16.
<6>eth0: registered as PCnet/PCI II 79C970A
<6>pcnet32: 1 cards_found.
<6>ACPI: PCI Interrupt 0000:00:10.0[A] -> GSI 17 (level, low) -> IRQ 19
<5>scsi: ***** BusLogic SCSI Driver Version 2.1.16 of 18 July 2002 *****
<5>scsi: Copyright 1995-1998 by Leonard N. Zubkoff <lnz@dandelion.com>
<5>scsi0: Configuring BusLogic Model BT-958 PCI Wide Ultra SCSI Host Adapter
<5>scsi0:   Firmware Version: 5.07B, I/O Address: 0x1080, IRQ Channel: 19/Level
<5>scsi0:   PCI Bus: 0, Device: 16, Address: 0xE8801000, Host Adapter SCSI ID: 7
<5>scsi0:   Parity Checking: Enabled, Extended Translation: Enabled
<5>scsi0:   Synchronous Negotiation: Ultra, Wide Negotiation: Enabled
<5>scsi0:   Disconnect/Reconnect: Enabled, Tagged Queuing: Enabled
<5>scsi0:   Scatter/Gather Limit: 128 of 8192 segments, Mailboxes: 211
<5>scsi0:   Driver Queue Depth: 211, Host Adapter Queue Depth: 192
<5>scsi0:   Tagged Queue Depth: Automatic, Untagged Queue Depth: 3
<5>scsi0: *** BusLogic BT-958 Initialized Successfully ***
<6>scsi0 : BusLogic BT-958
<5>scsi 0:0:0:0: Direct-Access     VMware,  VMware Virtual S 1.0  PQ: 0 ANSI: 2
<5>sd 0:0:0:0: [sda] 12582912 512-byte hardware sectors (6442 MB)
<5>sd 0:0:0:0: [sda] Write Protect is off
<7>sd 0:0:0:0: [sda] Mode Sense: 5d 00 00 00
<5>sd 0:0:0:0: [sda] Cache data unavailable
<3>sd 0:0:0:0: [sda] Assuming drive cache: write through
<5>sd 0:0:0:0: [sda] 12582912 512-byte hardware sectors (6442 MB)
<5>sd 0:0:0:0: [sda] Write Protect is off
<7>sd 0:0:0:0: [sda] Mode Sense: 5d 00 00 00
<5>sd 0:0:0:0: [sda] Cache data unavailable
<3>sd 0:0:0:0: [sda] Assuming drive cache: write through
<6> sda: unknown partition table
<5>sd 0:0:0:0: [sda] Attached SCSI disk
<7>libata version 2.21 loaded.
<7>ata_piix 0000:00:07.1: version 2.12
<6>scsi1 : ata_piix
<6>scsi2 : ata_piix
<6>ata1: PATA max UDMA/33 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00011050 irq 14
<6>ata2: PATA max UDMA/33 cmd 0x00010170 ctl 0x00010376 bmdma 0x00011058 irq 15
<7>ata1: port disabled. ignoring.
<6>ata2.00: ATAPI: VMware Virtual IDE CDROM Drive, 00000001, max UDMA/33
<6>ata2.00: configured for UDMA/33
<5>scsi 2:0:0:0: CD-ROM            NECVMWar VMware IDE CDR10 1.00 PQ: 0 ANSI: 5
<4>sr0: scsi3-mmc drive: 1x/1x xa/form2 cdda tray
<6>Uniform CD-ROM driver Revision: 3.20
<7>sr 2:0:0:0: Attached scsi CD-ROM sr0
<7>ISO 9660 Extensions: Microsoft Joliet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7>ISO 9660 Extensions: RRIP_1991A
<4>ISOFS: Unable to identify CD-ROM format.
<4>VFS: Can't find an ext2 filesystem on dev loop0.
<7>security:  5 users, 11 roles, 2315 types, 112 bools, 1 sens, 1024 cats
<7>security:  67 classes, 207812 rules
<7>SELinux:  Completing initialization.
<7>SELinux:  Setting up existing superblocks.
<7>SELinux: initialized (dev loop0, type squashfs), not configured for labeling
<7>SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
<7>SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
<7>SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
<7>SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
<7>SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
<7>SELinux: initialized (dev devpts, type devpts), uses transition SIDs
<7>SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
<7>SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
<7>SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
<7>SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
<7>SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
<7>SELinux: initialized (dev proc, type proc), uses genfs_contexts
<7>SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
<7>SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
<7>SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
<5>audit(1194358949.405:2): policy loaded auid=4294967295
<6>md: raid0 personality registered for level 0
<6>md: raid1 personality registered for level 1
<6>async_tx: api initialized (async)
<6>xor: automatically using best checksumming function: pIII_sse
<6>   pIII_sse  :  2484.000 MB/sec
<6>xor: using function: pIII_sse (2484.000 MB/sec)
<4>raid6: int32x1    328 MB/s
<4>raid6: int32x2    429 MB/s
<4>raid6: int32x4    367 MB/s
<4>raid6: int32x8    359 MB/s
<4>raid6: mmxx1      859 MB/s
<4>raid6: mmxx2     1554 MB/s
<4>raid6: sse1x1     472 MB/s
<4>raid6: sse1x2     671 MB/s
<4>raid6: sse2x1     718 MB/s
<4>raid6: sse2x2    1023 MB/s
<4>raid6: using algorithm sse2x2 (1023 MB/s)
<6>md: raid6 personality registered for level 6
<6>md: raid5 personality registered for level 5
<6>md: raid4 personality registered for level 4
<6>md: raid10 personality registered for level 10
<4>GFS2 (built Oct 30 2007 13:08:29) installed
<6>Lock_Nolock (built Oct 30 2007 13:08:47) installed
<6>JFS: nTxBlock = 5196, nTxLock = 41570
<6>SGI XFS with ACLs, security attributes, large block numbers, no debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
<6>device-mapper: multipath: version 1.0.5 loaded
<6>device-mapper: multipath round-robin: version 1.0.0 loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
<5>audit(1194358960.228:3): audit_pid=613 old=0 by auid=4294967295 subj=system_u:system_r:anaconda_t:s0


/tmp/anaconda.log:
14:21:44 INFO    : kernel command line: initrd=initrd.img BOOT_IMAGE=vmlinuz 

14:21:44 INFO    : 665128 kB are available
14:21:44 INFO    : modules to insert cramfs fat vfat sunrpc lockd nfs_acl nfs loop isofs floppy edd pcspkr squashfs jbd mbcache ext3 ext2
14:21:44 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:44 INFO    : loaded cramfs from /modules/modules.cgz
14:21:44 INFO    : loaded fat from /modules/modules.cgz
14:21:44 INFO    : loaded vfat from /modules/modules.cgz
14:21:44 INFO    : loaded sunrpc from /modules/modules.cgz
14:21:44 INFO    : loaded lockd from /modules/modules.cgz
14:21:44 INFO    : loaded nfs_acl from /modules/modules.cgz
14:21:44 INFO    : loaded nfs from /modules/modules.cgz
14:21:44 INFO    : loaded loop from /modules/modules.cgz
14:21:44 INFO    : loaded floppy from /modules/modules.cgz
14:21:44 INFO    : loaded edd from /modules/modules.cgz
14:21:44 INFO    : loaded pcspkr from /modules/modules.cgz
14:21:44 INFO    : loaded squashfs from /modules/modules.cgz
14:21:44 INFO    : loaded jbd from /modules/modules.cgz
14:21:44 INFO    : loaded mbcache from /modules/modules.cgz
14:21:44 INFO    : loaded ext3 from /modules/modules.cgz
14:21:44 INFO    : loaded ext2 from /modules/modules.cgz
14:21:44 DEBUG   : module(s) isofs not found
14:21:44 INFO    : inserted /tmp/cramfs.ko
14:21:44 INFO    : inserted /tmp/fat.ko
14:21:44 INFO    : inserted /tmp/vfat.ko
14:21:44 INFO    : inserted /tmp/sunrpc.ko
14:21:44 INFO    : inserted /tmp/lockd.ko
14:21:44 INFO    : inserted /tmp/nfs_acl.ko
14:21:44 INFO    : inserted /tmp/nfs.ko
14:21:44 INFO    : inserted /tmp/loop.ko
14:21:44 INFO    : inserted /tmp/floppy.ko
14:21:44 INFO    : inserted /tmp/edd.ko
14:21:44 INFO    : inserted /tmp/pcspkr.ko
14:21:45 INFO    : inserted /tmp/squashfs.ko
14:21:45 INFO    : inserted /tmp/jbd.ko
14:21:45 INFO    : inserted /tmp/mbcache.ko
14:21:45 INFO    : inserted /tmp/ext3.ko
14:21:45 INFO    : inserted /tmp/ext2.ko
14:21:45 INFO    : load module set done
14:21:45 INFO    : modules to insert ipv6
14:21:45 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:45 INFO    : loaded ipv6 from /modules/modules.cgz
14:21:45 INFO    : inserted /tmp/ipv6.ko
14:21:45 INFO    : load module set done
14:21:45 INFO    : modules to insert cdrom ide-cd
14:21:45 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:45 INFO    : loaded cdrom from /modules/modules.cgz
14:21:45 DEBUG   : module(s) ide-cd not found
14:21:45 INFO    : inserted /tmp/cdrom.ko
14:21:45 INFO    : load module set done
14:21:45 INFO    : modules to insert scsi_mod sd_mod sr_mod
14:21:45 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:46 INFO    : loaded scsi_mod from /modules/modules.cgz
14:21:46 INFO    : loaded sd_mod from /modules/modules.cgz
14:21:46 INFO    : loaded sr_mod from /modules/modules.cgz
14:21:46 INFO    : inserted /tmp/scsi_mod.ko
14:21:46 INFO    : inserted /tmp/sd_mod.ko
14:21:46 INFO    : inserted /tmp/sr_mod.ko
14:21:46 INFO    : load module set done
14:21:46 INFO    : modules to insert scsi_transport_iscsi libiscsi iscsi_tcp
14:21:46 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:46 INFO    : loaded scsi_transport_iscsi from /modules/modules.cgz
14:21:46 INFO    : loaded libiscsi from /modules/modules.cgz
14:21:46 INFO    : loaded iscsi_tcp from /modules/modules.cgz
14:21:46 INFO    : inserted /tmp/scsi_transport_iscsi.ko
14:21:46 INFO    : inserted /tmp/libiscsi.ko
14:21:46 INFO    : inserted /tmp/iscsi_tcp.ko
14:21:46 INFO    : load module set done
14:21:46 INFO    : looking for usb controllers
14:21:46 INFO    : found USB controller ehci-hcd
14:21:46 INFO    : modules to insert ehci-hcd
14:21:46 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:46 INFO    : loaded ehci-hcd from /modules/modules.cgz
14:21:46 INFO    : inserted /tmp/ehci-hcd.ko
14:21:46 INFO    : load module set done
14:21:46 INFO    : found USB controller uhci-hcd
14:21:46 INFO    : modules to insert uhci-hcd
14:21:46 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:47 INFO    : loaded uhci-hcd from /modules/modules.cgz
14:21:47 INFO    : inserted /tmp/uhci-hcd.ko
14:21:47 INFO    : load module set done
14:21:47 DEBUG   : waiting for usb to become stable...
14:21:49 DEBUG   : 2 seconds.
14:21:49 INFO    : modules to insert hid keybdev
14:21:49 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:49 DEBUG   : module(s) hid keybdev not found
14:21:49 INFO    : load module set done
14:21:50 INFO    : no firewire controller found
14:21:50 DEBUG   : no pcic controller found
14:21:50 DEBUG   : probing buses
14:21:50 DEBUG   : finished bus probing
14:21:50 DEBUG   : ignoring driverless device VMware Inc Unknown device 0790
14:21:50 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7113
14:21:50 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7110
14:21:50 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7191
14:21:50 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7190
14:21:50 DEBUG   : ignoring driverless device Linux 2.6.23.1-42.fc8 ehci_hcd EHCI Host Controller
14:21:50 DEBUG   : ignoring driverless device Linux 2.6.23.1-42.fc8 uhci_hcd UHCI Host Controller
14:21:50 DEBUG   : ignoring driverless device Unknown device 1274:1371
14:21:50 DEBUG   : ignoring driverless device VMware Inc [VMware SVGA II] PCI Display Adapter
14:21:50 INFO    : modules to insert mii pcnet32 BusLogic libata ata_piix
14:21:50 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:21:50 INFO    : loaded mii from /modules/modules.cgz
14:21:50 INFO    : loaded pcnet32 from /modules/modules.cgz
14:21:50 INFO    : loaded BusLogic from /modules/modules.cgz
14:21:50 INFO    : loaded libata from /modules/modules.cgz
14:21:50 INFO    : loaded ata_piix from /modules/modules.cgz
14:21:50 INFO    : inserted /tmp/mii.ko
14:21:50 INFO    : inserted /tmp/pcnet32.ko
14:21:53 INFO    : inserted /tmp/BusLogic.ko
14:21:54 INFO    : inserted /tmp/libata.ko
14:21:56 INFO    : inserted /tmp/ata_piix.ko
14:21:56 INFO    : load module set done
14:21:56 INFO    : trying to mount CD device scd0 on /mnt/source
14:21:57 INFO    : mntloop loop0 on /mnt/runtime as /mnt/source/images/stage2.img fd is 7
14:21:58 DEBUG   : MD5SUM -> df74ee702e9a1db98d8bf6ade0d9eaba
14:21:58 DEBUG   : skipsectors = 15
14:21:58 INFO    : supported = 0
14:22:28 INFO    : Loading SELinux policy
14:22:29 INFO    : getting ready to spawn shell now
14:22:29 INFO    : modules to insert ide-cd
14:22:29 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:22:29 DEBUG   : module(s) ide-cd not found
14:22:29 INFO    : load module set done
14:22:29 INFO    : modules to insert
14:22:29 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:22:29 INFO    : load module set done
14:22:29 INFO    : modules to insert
14:22:29 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:22:29 INFO    : load module set done
14:22:29 DEBUG   : probing buses
14:22:30 DEBUG   : finished bus probing
14:22:30 DEBUG   : ignoring driverless device VMware Inc Unknown device 0790
14:22:30 DEBUG   : ignoring driverless device Intel Corporation 82371AB/EB/MB PIIX4 ACPI
14:22:30 DEBUG   : ignoring driverless device Intel Corporation 82371AB/EB/MB PIIX4 ISA
14:22:30 DEBUG   : ignoring driverless device Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
14:22:30 DEBUG   : ignoring driverless device Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
14:22:30 DEBUG   : ignoring driverless device Linux 2.6.23.1-42.fc8 ehci_hcd EHCI Host Controller
14:22:30 DEBUG   : ignoring driverless device Linux 2.6.23.1-42.fc8 uhci_hcd UHCI Host Controller
14:22:30 DEBUG   : ignoring driverless device Ensoniq ES1371 [AudioPCI-97]
14:22:30 DEBUG   : ignoring driverless device VMware Inc [VMware SVGA II] PCI Display Adapter
14:22:30 INFO    : modules to insert
14:22:30 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:22:30 INFO    : load module set done
14:22:30 INFO    : modules to insert md raid0 raid1 raid5 raid6 async_tx xor async_xor async_memcpy raid456 raid10 msdos gfs2 lock_nolock reiserfs jfs xfs dm-mod dm-zero dm-mirror dm-snapshot dm-multipath dm-round-robin dm-emc
14:22:30 DEBUG   : getModuleLocation: 2.6.23.1-42.fc8/i586
14:22:30 INFO    : loaded raid0 from /modules/modules.cgz
14:22:30 INFO    : loaded raid1 from /modules/modules.cgz
14:22:30 INFO    : loaded async_tx from /modules/modules.cgz
14:22:30 INFO    : loaded xor from /modules/modules.cgz
14:22:30 INFO    : loaded async_xor from /modules/modules.cgz
14:22:30 INFO    : loaded async_memcpy from /modules/modules.cgz
14:22:30 INFO    : loaded raid456 from /modules/modules.cgz
14:22:30 INFO    : loaded raid10 from /modules/modules.cgz
14:22:30 INFO    : loaded msdos from /modules/modules.cgz
14:22:30 INFO    : loaded gfs2 from /modules/modules.cgz
14:22:30 INFO    : loaded lock_nolock from /modules/modules.cgz
14:22:30 INFO    : loaded reiserfs from /modules/modules.cgz
14:22:30 INFO    : loaded jfs from /modules/modules.cgz
14:22:30 INFO    : loaded xfs from /modules/modules.cgz
14:22:30 INFO    : loaded dm-mod from /modules/modules.cgz
14:22:30 INFO    : loaded dm-zero from /modules/modules.cgz
14:22:30 INFO    : loaded dm-mirror from /modules/modules.cgz
14:22:30 INFO    : loaded dm-snapshot from /modules/modules.cgz
14:22:30 INFO    : loaded dm-multipath from /modules/modules.cgz
14:22:30 INFO    : loaded dm-round-robin from /modules/modules.cgz
14:22:30 INFO    : loaded dm-emc from /modules/modules.cgz
14:22:30 DEBUG   : module(s) md raid5 raid6 not found
14:22:30 INFO    : inserted /tmp/raid0.ko
14:22:30 INFO    : inserted /tmp/raid1.ko
14:22:30 INFO    : inserted /tmp/async_tx.ko
14:22:30 INFO    : inserted /tmp/xor.ko
14:22:30 INFO    : inserted /tmp/async_xor.ko
14:22:30 INFO    : inserted /tmp/async_memcpy.ko
14:22:30 INFO    : inserted /tmp/raid456.ko
14:22:30 INFO    : inserted /tmp/raid10.ko
14:22:30 INFO    : inserted /tmp/msdos.ko
14:22:30 INFO    : inserted /tmp/gfs2.ko
14:22:30 INFO    : inserted /tmp/lock_nolock.ko
14:22:30 INFO    : inserted /tmp/reiserfs.ko
14:22:30 INFO    : inserted /tmp/jfs.ko
14:22:30 INFO    : inserted /tmp/xfs.ko
14:22:30 INFO    : inserted /tmp/dm-mod.ko
14:22:31 INFO    : inserted /tmp/dm-zero.ko
14:22:31 INFO    : inserted /tmp/dm-mirror.ko
14:22:31 INFO    : inserted /tmp/dm-snapshot.ko
14:22:31 INFO    : inserted /tmp/dm-multipath.ko
14:22:31 INFO    : inserted /tmp/dm-round-robin.ko
14:22:31 INFO    : inserted /tmp/dm-emc.ko
14:22:31 INFO    : load module set done
14:22:31 INFO    : looking for USB mouse...
14:22:31 INFO    : Running anaconda script /usr/bin/anaconda
14:22:40 INFO    : using only installclass _Fedora
14:22:40 INFO    : anaconda called with cmdline = ['/usr/bin/anaconda', '-m', 'cdrom://scd0:/mnt/source', '--graphical', '--selinux']
14:22:40 INFO    : Display mode = g
14:22:40 INFO    : Method = cdrom://scd0:/mnt/source
14:22:50 INFO    : anaconda floppy device fd0
14:22:59 INFO    : Started mini-wm
14:23:00 INFO    : Starting graphical installation...
14:23:01 INFO    : Detected 656M of memory
14:23:01 INFO    : Swap attempt of 656M to 1312M
14:23:01 WARNING : step installtype does not exist
14:23:01 WARNING : step complete does not exist
14:23:04 INFO    : moving (1) to step welcome
14:24:21 INFO    : moving (1) to step language
14:24:31 INFO    : moving (1) to step keyboard
14:24:39 INFO    : moving (1) to step findrootparts
14:24:39 DEBUG   : starting mpaths
14:24:39 DEBUG   : self.driveList(): ['sda']
14:24:39 DEBUG   : DiskSet.skippedDisks: []
14:24:39 DEBUG   : DiskSet.skippedDisks: []
14:24:39 DEBUG   : starting all mpaths on drives ['sda']
14:24:39 DEBUG   : scanning for multipath on drives ['sda']
14:24:39 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node created in /tmp
  isys.makeDevInode(d, dp)

14:24:39 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
14:24:39 DEBUG   : mpaths: []
14:24:39 DEBUG   : done starting mpaths.  Drivelist: ['sda']
14:24:39 DEBUG   : starting dmraids
14:24:39 DEBUG   : self.driveList(): ['sda']
14:24:39 DEBUG   : DiskSet.skippedDisks: []
14:24:39 DEBUG   : DiskSet.skippedDisks: []
14:24:39 DEBUG   : starting all dmraids on drives ['sda']
14:24:39 DEBUG   : scanning for dmraid on drives ['sda']
14:24:39 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node created in /tmp
  isys.makeDevInode(d, dp)

14:24:39 DEBUG   : done starting dmraids.  Drivelist: ['sda']
14:24:44 INFO    : Reinitializing label for drive sda
14:24:44 DEBUG   : adding drive sda to disk list
14:24:44 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

14:24:45 WARNING : step complete does not exist
14:24:45 INFO    : moving (1) to step partitionobjinit
14:24:45 INFO    : no initiator set
14:24:45 INFO    : no /tmp/fcpconfig; not configuring zfcp
14:24:45 DEBUG   : adding drive sda to disk list
14:24:45 INFO    : moving (1) to step parttype
14:24:59 INFO    : moving (1) to step autopartitionexecute
14:24:59 DEBUG   : adding drive sda to disk list
14:24:59 DEBUG   : used space is 1680
14:24:59 DEBUG   : actual space is 5888
14:24:59 DEBUG   : used space is 2336
14:24:59 DEBUG   : actual space is 5888
14:24:59 DEBUG   : used space is 5888
14:24:59 DEBUG   : actual space is 5888
14:24:59 DEBUG   : used space is 5888
14:24:59 DEBUG   : actual space is 5888
14:24:59 INFO    : moving (1) to step partition
14:25:09 INFO    : computeVGSize: vgsize is 5888
14:25:19 INFO    : computeVGSize: vgsize is 5888
14:25:37 INFO    : computeVGSize: vgsize is 5888
14:25:37 INFO    : computeVGSize: vgsize is 5888
14:25:41 INFO    : computeVGSize: vgsize is 5888
14:25:52 INFO    : computeVGSize: vgsize is 5888
14:25:52 INFO    : computeVGSize: vgsize is 5888
14:25:56 INFO    : computeVGSize: vgsize is 5888
14:25:57 INFO    : computeVGSize: vgsize is 5888
14:25:57 INFO    : computeVGSize: vgsize is 5888
14:25:59 INFO    : computeVGSize: vgsize is 5888
14:25:59 DEBUG   : adding drive sda to disk list
14:26:20 DEBUG   : adding drive sda to disk list
14:26:30 INFO    : computeVGSize: vgsize is 6016
14:26:38 INFO    : computeVGSize: vgsize is 6016
14:26:50 INFO    : computeVGSize: vgsize is 6016
14:26:50 INFO    : computeVGSize: vgsize is 6016
14:26:52 INFO    : computeVGSize: vgsize is 6016
14:26:52 DEBUG   : adding drive sda to disk list
14:27:10 INFO    : moving (1) to step partitiondone
14:27:10 INFO    : moving (1) to step bootloadersetup
14:27:10 INFO    : moving (1) to step bootloader
14:27:56 INFO    : moving (1) to step bootloaderadvanced
14:28:04 INFO    : moving (1) to step networkdevicecheck
14:28:04 INFO    : moving (1) to step network
14:28:15 INFO    : moving (1) to step timezone
14:28:32 INFO    : moving (1) to step accounts
14:28:45 INFO    : moving (1) to step reposetup
14:28:45 INFO    : added repository Additional Fedora Software with source URL [None]
14:28:45 INFO    : switching from CD [1] to 1 for 
14:28:47 WARNING : /usr/lib/python2.5/site-packages/yum/repos.py:63: RuntimeWarning: YumProgress.progressbar called when popped
  self.callback.progressbar(num, len(repos), repo.id)

14:28:49 INFO    : no groups missing
14:28:49 INFO    : moving (1) to step basepkgsel
14:28:52 INFO    : moving (1) to step tasksel
14:30:42 INFO    : moving (1) to step group-selection
14:31:57 WARNING : /usr/lib/python2.5/site-packages/pirut/GroupSelector.py:244: GtkWarning: Failed to set text from markup due to error parsing markup: Error on line 1: Character ' ' is not valid at the start of an entity name; the & character begins an entity; if this ampersand isn't supposed to be an entity, escape it as &amp;
  self.window.show_all()

14:31:57 WARNING : /usr/lib/python2.5/site-packages/pirut/GroupSelector.py:245: GtkWarning: Failed to set text from markup due to error parsing markup: Error on line 1: Character ' ' is not valid at the start of an entity name; the & character begins an entity; if this ampersand isn't supposed to be an entity, escape it as &amp;
  return self.window.run()



/tmp/lvmout:
Comment 1 Cristian Ciupitu 2007-11-09 14:51:22 EST
   An easy way to reproduce the bug is to select the optional packages of a
group using the keyboard instead of the mouse; navigating through the list using
the arrows or using space to select packages should be enough.

   Regarding the code, I think that the following code from
"/usr/lib/python2.5/site-packages/pirut/GroupSelector.py":

    def _pkgToggled(self, widget, path):
        i = self.pkgstore.get_iter_from_string(path)

should be replaced with:

    def _pkgToggled(self, widget, path):
        i = self.pkgstore.get_iter(path)

because the "row-activated" signal of GtkTree returns a path not a string
representation of a path. See
http://www.pygtk.org/docs/pygtk/class-gtktreeview.html#signal-gtktreeview--row-activated
and
http://pygtk.org/pygtk2reference/class-gtktreemodel.html#method-gtktreemodel--get-iter.


   
Comment 2 Jeremy Katz 2007-11-12 13:37:12 EST
Bah, I thought I had built the fix for this, but apparently hadn't.  Updated
pirut build will be going out in a day or two to fix it.  For anaconda, we'll
probably have an updates.img for some other things and I'll make sure we roll
the fix for this in as well

*** This bug has been marked as a duplicate of 336791 ***

Note You need to log in before you can comment on or make changes to this bug.